
#define MOTOR_PIN 9
#define SWITCH_PIN 2

void setup()
{
    pinMode(MOTOR_PIN, OUTPUT);
    pinMode(SWITCH_PIN, INPUT_PULLUP);
}

void loop()
{
    int switch_pressed = digitalRead(SWITCH_PIN);
    
    if (switch_pressed == 0)
    {
        /* analogWrite used pulse-width modulation to produce an AVERAGE
        voltage between 0 and 5V on MOTOR_PIN.
        A value of 255 will produce 5V.
        A value of 0 will produce 0V.
        We are using 150, which is about 2.9V */
        analogWrite(MOTOR_PIN, 150); 
    }
    else
    {
        analogWrite(MOTOR_PIN, 0); 
    }
}
