// Any text starting with two slashes is a comment.
// You can put anything you like in a comment!
// Comments are meant to document your code.

/* You can also
put comments on multiple lines
by using a slash and an asterix!

Multiline comments like this need to be finished off
with an asterix and another slash, like this: */

/* The setup function always runs at the start of your program
and only runs ONCE. */
void setup()
{
    /* Pins default to being an INPUT.
    To turn on the LED on pin 13, it needs to be an OUTPUT. */
    pinMode(13, OUTPUT); 
}

/* The loop function runs after the setup has finished
and keeps repeating forever */
void loop()
{
    digitalWrite(13, HIGH); // Turn the LED on by putting a HIGH level (5V) on pin 13
    delay(1000);            // Delay for 1s
    digitalWrite(13, LOW);  // Turn the LED onf by putting a LOW level (0V) on pin 13
    delay(1000);            // Delay for 1s
}


